import requests
import os
from bs4 import BeautifulSoup

def Bilfen_Auth(tc,password):
    def clean_html(html):
        cleaned = html.replace('<tr class="gray">', "").replace('<td>', "").replace('</td>', "").replace("<tr>", "").replace("</tr>", "")
        return cleaned.split("\n")[2]
    login_url = ("https://bilgimerkezi.bilfenlisesi.com/login")
    secure_url=("https://bilgimerkezi.bilfenlisesi.com/")
    profile_url = ("https://bilgimerkezi.bilfenlisesi.com/profil")

    payload = {
        "tc" : tc,
        "password": password
    }

    with requests.session() as session1:
        r1 = session1.post(login_url, data=payload)
        if r1.url == secure_url:
            print("Authentication Sucsessful.")
        elif r1.url == login_url:
            print("Authentication Failed.")
            return False
        
        r2 = session1.get(profile_url)
        

        soup = BeautifulSoup(r2.text,'html.parser')
        images = soup.find_all('img')
        with open("Backend/Userinfo/Profilepic.png", "wb") as f:
            f.write(requests.get(images[1]['src']).content)

        soup2 = BeautifulSoup(r2.text, "html.parser")
        details = soup2.find_all("tr")
        
        userdata = {
            'Name' : clean_html(str(details[1])),
            'School':clean_html(str(details[2])),
            'tc':tc,
            'Password':password,
            'gender': clean_html(str(details[4])),
            'birthday': clean_html(str(details[6])),
            'schoolno':clean_html(str(details[7])),
            'classroom': clean_html(str(details[8])),
            'address':clean_html(str(details[9])),
            'phonenumber':clean_html(str(details[11])),
            'profilepic': "Userinfo/Profilepic.png"
        }
        print(userdata)
        return True, userdata

if __name__ == "__main__":
    print("Im the main guy.")