from setuptools import setup, find_packages
import pathlib
setup(
    name='BilfenAuth',
    version='0.1',
    packages=find_packages(),
    include_package_data=True,
    description='A web scraping tool for Bilfen website',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Kağan Erkan',
    author_email='administer@kaganerkan.com',
    url='https://github.com/kaganerkan/BilfenAuth',
    license='MIT', 
    project_urls={
        "Sorce":"https://github.com/kaganerkan/bilfenauth"
    },
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3', 
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
    keywords='web scraping authentication bilfen',
    install_requires=[
        'requests',
        'beautifulsoup4',
    ],
    python_requires='>=3.6',
)
